# Generated by Django 4.2.6 on 2023-10-21 09:38

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Post",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "title",
                    models.TextField(
                        db_index=True, max_length=50, verbose_name="title"
                    ),
                ),
                ("text", models.TextField(max_length=250, verbose_name="text")),
                (
                    "score_count",
                    models.PositiveIntegerField(null=True, verbose_name="score_count"),
                ),
                (
                    "score_average",
                    models.FloatField(null=True, verbose_name="score_average"),
                ),
                (
                    "created_at",
                    models.DateTimeField(
                        auto_now_add=True, db_index=True, verbose_name="Created at"
                    ),
                ),
                (
                    "updated_at",
                    models.DateTimeField(
                        auto_now=True, db_index=True, verbose_name="Updated at"
                    ),
                ),
            ],
        ),
    ]
